import stanford.karel.*;

public class HurdleJumpingKarel extends SuperKarel {
	public void run() {
		for (int i = 0; i < 8; i++) {
			if (frontIsBlocked()) {
				jumpOneHurdle();
			} else {
				move();
			}
		}
	}
	
	/* Causes Karel to jump over a hurdle, ending on the opposite side
	 * that Karel starts from.
	 * 
	 * Precondition:  Karel is at the base of a hurdle, facing east.
	 * Postcondition: Karel is at the base of the hurdle on the opposite
	 *                side and is still facing east.
	 */
	private void jumpOneHurdle() {
		ascendHurdle();
		move();
		descendHurdle();
	}
	
	/* As an exercise, write a comment for this method! */
	private void ascendHurdle() {
		turnLeft();
		while (rightIsBlocked()) {
			move();
		}
		turnRight();
	}
	
	/* As an exercise, write a comment for this method! */
	private void descendHurdle() {
		turnRight();
		while (frontIsClear()) {
			move();
		}
		turnLeft();
	}
}
