/* File: RowSweepingKarel.java
 * 
 * A Karel program in which Karel sweeps a row, cleaning up the
 * beepers.
 */

import stanford.karel.*;

public class RowSweepingKarel extends SuperKarel {
	public void run() {
		sweepCorner();
		while (frontIsClear()) {
			move();
			sweepCorner();
		}
	}
	
	/* Causes Karel to sweep up the corner that it's standing on.
	 * 
	 * Precondition:  None.
	 * Postcondition: Karel hasn't moved, but Karel has picked up a beeper
	 *                if there's one to pick up.
	 */
	private void sweepCorner() {
		if (beepersPresent()) {
			pickBeeper();
		}
	}
}
